Qt Reference Documentation

# Obsolete Members for Q3Signal

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- Q3Signal class reference

## Public Functions

void | block ( bool b )`(obsolete)`
bool | isBlocked () const`(obsolete)`
int | parameter () const`(obsolete)`
void | setParameter ( int value )`(obsolete)`

## Member Function Documentation

### void Q3Signal::block ( bool b )

Blocks the signal if b is true, or unblocks the signal if b is false.

An activated signal disappears into hyperspace if it is blocked.

See also isBlocked(), activate(), and QObject::blockSignals().

### bool Q3Signal::isBlocked () const

Returns true if the signal is blocked, or false if it is not blocked.

The signal is not blocked by default.

See also block() and QObject::signalsBlocked().

### int Q3Signal::parameter () const

See also setParameter().

### void Q3Signal::setParameter ( int value )

See also parameter().